Table of Contents

Class: IReactorSSL | Twisted-0.17.4/twisted/internet/interfaces.py
--- | ---

Base Classes |
--- | ---
Interface

Methods |
--- | ---
clientSSL listenSSL
| clientSSL

    clientSSL (
            host,
            port,
            protocol,
            timeout=30,
            contextFactory=None,
            )

Connect a client Protocol to a remote SSL socket.

| listenSSL

    listenSSL (
            self,
            port,
            factory,
            ctxFactory,
            backlog=5,
            interface='',
            )

Connects a given protocol factory to the given numeric TCP/IP port. The connection is a SSL one, using contexts created by the context factory.

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:49 2002 by HappyDoc version 2.0